#!/bin/bash
#

#
# локальный контроль версий
#

_version="01.00.00"
_date="01.01.2018"

_ipmem="../work/ipmem"
_version_h="../src/version.h"

function _help_()
{
	echo -e "help        - текущая подсказка"
	echo -e "version     - текущая версия скрипта"
	echo -e "date        - дата последней модификации скрипта"
	echo -e "info        - информация о версии"
	echo -e "vcontrol    - запуск контроля версий"
	echo -e "stop        - стоп контрля версий"
}

function _vcontrol()
{
	((loop = 1))
	while( ((loop > 0)) ); do
		vd=$($_ipmem --version)
		str=$(echo "$vd" | sed "s/:/ /g")
		_wver=$(echo "$str" | awk '{print($2)}')
		_wver=$(echo "$_wver" | sed "s/\.//g")
		_wdate=$(echo "$str" | awk '{print($4)}')
		_wdate=$(echo "$_wdate" | sed "s/\./ /g" | awk '{print($3$2$1)}')
		#echo "$_wver $_wdate"
		_hver=$(cat $_version_h | awk '/_version/ {print($3)}' | sed "s/\"//g" | sed "s/\.//g")
		_hdate=$(cat $_version_h | sed "s/\"//g" | awk '/_date/ {print($3)}')
		_hdate=$(echo "$_hdate" | sed "s/\./ /g" | awk '{print($3$2$1)}')
		#echo "$_hver $_hdate"
		if( ((_hver > _wver)) ); then
			echo "New Wersion"
			./make.sh
		elif( ((_hdate > _wdate)) ); then
			echo "New date"
			./make.sh
		fi
		sleep 1
	done
}

case $1 in
	"help")
		_help_
	;;
	"info")
		$_ipmem --version
	;;
	"version")
		echo -e "$_version"
	;;
	"date")
		echo -e "$_date"
	;;
	"vcontrol")
		_vcontrol &
	;;
	"stop")
		killall -9 lver.sh
	;;
	*)
		echo -e "примените \"lver help\" для получения подсказки"
	;;
esac


